function FileData_Pairs(x)
{
x.t("example","487");
x.t("creation","334");
x.t("490","figure");
x.t("unshared","state");
x.t("492","tibco");
x.t("delivery","acknowledgement");
x.t("delivery","figure");
x.t("authenticating","users");
x.t("tree","267");
x.t("failover","process");
x.t("failover","456");
x.t("persistent","messages");
x.t("persistent","message");
x.t("topic","multiple");
x.t("topic","queue");
x.t("topic","selectors");
x.t("topic","figure");
x.t("deadlock","across");
x.t("current","second");
x.t("propagating","subscribers");
x.t("deployment","architecture");
x.t("state","failover");
x.t("state","450");
x.t("state","451");
x.t("sample","multicast");
x.t("acknowledgement","figure");
x.t("multiple","destinations");
x.t("transports","ems");
x.t("queue","multiple");
x.t("queue","figure");
x.t("rendezvous","transports");
x.t("jms","1.0.2b");
x.t("jms","1.1");
x.t("334","figure");
x.t("servers","unshared");
x.t("servers","shared");
x.t("publish","subscribe");
x.t("recovered","server");
x.t("bidirectionality","corresponding");
x.t("336","figure");
x.t("ems","server");
x.t("subscribe","messages");
x.t("queues","490");
x.t("path","475");
x.t("overlap","478");
x.t("353","figure");
x.t("methods","authenticating");
x.t("checking","permissions");
x.t("figures","figures");
x.t("figures","figure");
x.t("decision","tree");
x.t("reliable","message");
x.t("flow","control");
x.t("permissions","decision");
x.t("permissions","247");
x.t("permissions","261");
x.t("second","servers");
x.t("247","figure");
x.t("1.0.2b","programming");
x.t("failed","primary");
x.t("backup","servers");
x.t("backup","453");
x.t("messages","figure");
x.t("messages","published");
x.t("messages","sent");
x.t("1.1","programming");
x.t("control","deadlock");
x.t("261","figure");
x.t("485","figure");
x.t("unique","path");
x.t("multi-hop","476");
x.t("487","figure");
x.t("selectors","example");
x.t("non-persistent","message");
x.t("267","figure");
x.t("groups","permissions");
x.t("consumer","creation");
x.t("benefits","multicast");
x.t("390","figure");
x.t("primary","backup");
x.t("primary","server");
x.t("message","delivery");
x.t("message","consumer");
x.t("authorization","492");
x.t("tibco","software");
x.t("multicast","deployment");
x.t("multicast","336");
x.t("multicast","messages");
x.t("multicast","message");
x.t("architecture","353");
x.t("450","figure");
x.t("figure","unshared");
x.t("figure","persistent");
x.t("figure","current");
x.t("figure","sample");
x.t("figure","rendezvous");
x.t("figure","jms");
x.t("figure","publish");
x.t("figure","recovered");
x.t("figure","methods");
x.t("figure","reliable");
x.t("figure","flow");
x.t("figure","permissions");
x.t("figure","failed");
x.t("figure","non-persistent");
x.t("figure","benefits");
x.t("figure","primary");
x.t("figure","message");
x.t("figure","multicast");
x.t("figure","dual");
x.t("figure","smartsockets");
x.t("figure","routing");
x.t("figure","bridging");
x.t("figure","users");
x.t("figure","zones");
x.t("figure","routes");
x.t("figure","point-to-point");
x.t("451","figure");
x.t("programming","model");
x.t("452","figure");
x.t("process","457");
x.t("subscribers","485");
x.t("286","figure");
x.t("453","figure");
x.t("287","figure");
x.t("becomes","backup");
x.t("dual","state");
x.t("smartsockets","transports");
x.t("shared","state");
x.t("456","figure");
x.t("published","topic");
x.t("457","figure");
x.t("routing","topic");
x.t("routing","propagating");
x.t("routing","queues");
x.t("routing","authorization");
x.t("destinations","figure");
x.t("destinations","473");
x.t("destinations","474");
x.t("global","destinations");
x.t("bridging","topic");
x.t("bridging","queue");
x.t("two","threads");
x.t("users","checking");
x.t("users","groups");
x.t("zones","overlap");
x.t("zones","multi-hop");
x.t("zones","one-hop");
x.t("model","286");
x.t("model","287");
x.t("corresponding","destinations");
x.t("routes","bidirectionality");
x.t("routes","unique");
x.t("routes","global");
x.t("473","figure");
x.t("across","two");
x.t("474","figure");
x.t("475","figure");
x.t("point-to-point","messages");
x.t("476","figure");
x.t("sent","queue");
x.t("one-hop","477");
x.t("477","figure");
x.t("threads","figure");
x.t("server","390");
x.t("server","452");
x.t("server","becomes");
x.t("server","366");
x.t("366","figure");
x.t("478","figure");
}
